package com.fs.oms.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 供应商管理对象 oms_supplier
 * 
 * @author fs
 * @date 2023-06-15
 */
public class OmsSupplier extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 供应商编码 */
    @Excel(name = "供应商编码")
    private String code;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String name;

    /** 供应商分类 */
    @Excel(name = "供应商分类")
    private String type;

    /** 供应商等级 */
    @Excel(name = "供应商等级")
    private String level;

    /** 送货周期 */
    @Excel(name = "送货周期")
    private Long cycleDay;

    /** 默认开票 0无 1电子发票 2增值税普通发票 3增值税专用发票 */
    @Excel(name = "默认开票 0无 1电子发票 2增值税普通发票 3增值税专用发票")
    private Long invoiceType;

    /** 溢装比例 */
    @Excel(name = "溢装比例")
    private BigDecimal overfillRate;

    /** 默认税率 */
    @Excel(name = "默认税率")
    private BigDecimal taxRate;

    /** 默认结算方式 */
    @Excel(name = "默认结算方式")
    private String paymentType;

    /** 公司全称 */
    @Excel(name = "公司全称")
    private String fullName;

    /** 助记码 */
    @Excel(name = "助记码")
    private String mnemonic;

    /** 合作日期 */
    @Excel(name = "合作日期")
    private String cooperationTime;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contactName;

    /** 联系人电话 */
    @Excel(name = "联系人电话")
    private String contractTel;

    /** 联系人手机 */
    @Excel(name = "联系人手机")
    private String contactPhone;

    /** 联系人省市区 */
    @Excel(name = "联系人省市区")
    private String cityIds;

    /** 联系人详细地址 */
    @Excel(name = "联系人详细地址")
    private String address;

    /** 账户名称 */
    @Excel(name = "账户名称")
    private String bankName;

    /** 开户银行 */
    @Excel(name = "开户银行")
    private String bankDeposit;

    /** 银行账户 */
    @Excel(name = "银行账户")
    private String bankAccount;

    /** 状态 */
    @Excel(name = "状态 1启用  0关闭  ")
    private Long status;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 修改人ID */
    @Excel(name = "修改人ID")
    private Long updateUserId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setCycleDay(Long cycleDay) 
    {
        this.cycleDay = cycleDay;
    }

    public Long getCycleDay() 
    {
        return cycleDay;
    }
    public void setInvoiceType(Long invoiceType) 
    {
        this.invoiceType = invoiceType;
    }

    public Long getInvoiceType() 
    {
        return invoiceType;
    }
    public void setOverfillRate(BigDecimal overfillRate) 
    {
        this.overfillRate = overfillRate;
    }

    public BigDecimal getOverfillRate() 
    {
        return overfillRate;
    }
    public void setTaxRate(BigDecimal taxRate) 
    {
        this.taxRate = taxRate;
    }

    public BigDecimal getTaxRate() 
    {
        return taxRate;
    }
    public void setPaymentType(String paymentType) 
    {
        this.paymentType = paymentType;
    }

    public String getPaymentType() 
    {
        return paymentType;
    }
    public void setFullName(String fullName) 
    {
        this.fullName = fullName;
    }

    public String getFullName() 
    {
        return fullName;
    }
    public void setMnemonic(String mnemonic) 
    {
        this.mnemonic = mnemonic;
    }

    public String getMnemonic() 
    {
        return mnemonic;
    }
    public void setCooperationTime(String cooperationTime) 
    {
        this.cooperationTime = cooperationTime;
    }

    public String getCooperationTime() 
    {
        return cooperationTime;
    }
    public void setContactName(String contactName) 
    {
        this.contactName = contactName;
    }

    public String getContactName() 
    {
        return contactName;
    }
    public void setContractTel(String contractTel) 
    {
        this.contractTel = contractTel;
    }

    public String getContractTel() 
    {
        return contractTel;
    }
    public void setContactPhone(String contactPhone) 
    {
        this.contactPhone = contactPhone;
    }

    public String getContactPhone() 
    {
        return contactPhone;
    }
    public void setCityIds(String cityIds) 
    {
        this.cityIds = cityIds;
    }

    public String getCityIds() 
    {
        return cityIds;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setBankName(String bankName) 
    {
        this.bankName = bankName;
    }

    public String getBankName() 
    {
        return bankName;
    }
    public void setBankDeposit(String bankDeposit) 
    {
        this.bankDeposit = bankDeposit;
    }

    public String getBankDeposit() 
    {
        return bankDeposit;
    }
    public void setBankAccount(String bankAccount) 
    {
        this.bankAccount = bankAccount;
    }

    public String getBankAccount() 
    {
        return bankAccount;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("type", getType())
            .append("level", getLevel())
            .append("cycleDay", getCycleDay())
            .append("invoiceType", getInvoiceType())
            .append("overfillRate", getOverfillRate())
            .append("taxRate", getTaxRate())
            .append("paymentType", getPaymentType())
            .append("fullName", getFullName())
            .append("mnemonic", getMnemonic())
            .append("cooperationTime", getCooperationTime())
            .append("contactName", getContactName())
            .append("contractTel", getContractTel())
            .append("contactPhone", getContactPhone())
            .append("cityIds", getCityIds())
            .append("address", getAddress())
            .append("bankName", getBankName())
            .append("bankDeposit", getBankDeposit())
            .append("bankAccount", getBankAccount())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
